Subject: Seeing double (folders on Exchange server)

From: Warren Jones <[email-masked]>
Date: Fri, 12 Feb 1999 14:10:30 -0800

I've noticed an odd situation when using pine 4.05 with IMAP to
read mail from an MS Exchange server.  When I look at my folder
collection on the server, I see every folder accompanied by a
matching (empty) directory, something like this:

      PINE 4.05   FOLDER LIST              Folder: INBOX  23 Messages   

	     Folders on evtexch0.tc.fluke.com in home directory
    --------------------------------------------------------------------
    INBOX              received           received/          INBOX/
    Calendar           Calendar/          Contacts           Contacts/
    Deleted Items      Deleted Items/     Journal            Journal/
    Notes              Notes/             Outbox             Outbox/
    Sent Items         Sent Items/        Tasks              Tasks/

Each folder and its matching directory are really the same object --
renaming or deleting a directory simultaneously renames of deletes
the corresponding folder.

I just picked up pine 4.10, and found that this problem is partially
fixed.  Now only the INBOX is duplicated:

      PINE 4.10   FOLDER LIST              Folder: INBOX  23 Messages   

	     Folders on evtexch0.tc.fluke.com in home directory
    --------------------------------------------------------------------

    INBOX/                  INBOX                   received[/]
    Calendar[/]             Contacts[/]             Deleted Items[/]
    Journal[/]              Notes[/]                Outbox[/]

I'm not sure why all folders (except the INBOX) are labeled with "[/]".
Does anyone know the significance of this, or of the duplicate INBOX?

Both pine 4.05 and 4.10 behave normally with folders on a Unix-based
IMAP server, and the folders on the Exchange server show up normally
with both Netscape 4.05 and the Outlook client.  We're running pine
under Solaris 2.5.  Our Exchange server is version 5.5, service pack 2.

Thanks in advance for any insights.

--------------------------------------------------------------------
Warren Jones              | To keep every cog and wheel is the first
Fluke Corporation         | precaution of intelligent tinkering.
Everett, Washington, USA  |                          -- Aldo Leopold
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------